Bug 125411 - [PATCH] devel/apr: Fix WITH_LDAP
Summary: [PATCH] devel/apr: Fix WITH_LDAP
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-08 19:30 UTC by Philip M. Gollucci
Modified: 2008-07-29 15:10 UTC (History)
1 user (show)

See Also:


Attachments
apr-1.3.2_1.patch (2.75 KB, patch)
2008-07-08 19:30 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2008-07-08 19:30:02 UTC
- Bump PORTREVISION
- silence a portlint warning(tab)
- fix pkg-plist for LDAP case
- fixes ports/125400

Added file(s):
- files/patch-apr-util-1.3.2__build__apu-conf.m4
(Will be removed in 1.3.3 release)

Port maintainer (rodrigc@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-07-08 19:30:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rodrigc

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 pgollucci 2008-07-23 18:49:26 UTC
poke....

any news on this front?


-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 3 Craig Leres freebsd_committer 2008-07-28 21:27:09 UTC
I found this PR while looking for a solution to this issue:

    ldap/apr_ldap_rebind.c:305: error: too few arguments to function `ldap_set_rebind_proc'

I applied the patch and was able to build a working apr-db43-ldap
package. Since this patch un-breaks the apr ports, I'd sure like
to see it committed.

		Craig
Comment 4 Philip M. Gollucci 2008-07-28 21:28:10 UTC
Craig Leres wrote:
> I found this PR while looking for a solution to this issue:
> 
>     ldap/apr_ldap_rebind.c:305: error: too few arguments to function `ldap_set_rebind_proc'
> 
> I applied the patch and was able to build a working apr-db43-ldap
> package. Since this patch un-breaks the apr ports, I'd sure like
> to see it committed.
> 
> 		Craig
While a committer, I'm not the maintainer, I'll ping him again.....
Comment 5 Philip M. Gollucci freebsd_committer 2008-07-29 03:20:22 UTC
Responsible Changed
From-To: rodrigc->pgollucci

submitter is maintainer, and has gnats access.
Comment 6 dfilter service freebsd_committer 2008-07-29 15:04:48 UTC
pgollucci    2008-07-29 14:04:32 UTC

  FreeBSD ports repository

  Modified files:
    devel/apr            Makefile pkg-plist 
  Added files:
    devel/apr/files      patch-apr-util-1.3.2__build__apu-conf.m4 
  Log:
  - silence a portlint warning(tab)
  - fix pkg-plist for LDAP case
  - Bump PORTREVISION
  
  Added file(s):
   - files/patch-apr-util-1.3.2__build__apu-conf.m4
   (Will be removed in 1.3.3 release)
   http://svn.apache.org/viewvc/apr/apr-util/branches/1.3.x/build/apu-conf.m4?r1=668323&r2=675009&pathrev=675009&view=patch
  
  PR:     ports/125411
  Reported by:    several on ports@
  Approved by:    araujo (mentor)
  
  Revision  Changes    Path
  1.74      +5 -1      ports/devel/apr/Makefile
  1.1       +26 -0     ports/devel/apr/files/patch-apr-util-1.3.2__build__apu-conf.m4 (new)
  1.18      +5 -0      ports/devel/apr/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Philip M. Gollucci freebsd_committer 2008-07-29 15:04:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!